CMAKE(1)

NAME
cmake - Cross-platform Makefile generator.

SYNOPSIS
cmake <path-to-source> [options]
ccmake <path-to-source>
ctest [-R <regex>]
cmaketest <test-src-dir> <test-bin-dir> <test-executable>

DESCRIPTION
This manual page documents briefly the cmake, ccmake, ctest and cmaketest commands. It is not intended to aid authors of CMakeLists.txt files or to describe all advanced options available. For full documentation, please visit http://www.cmake.org.

CMake provides developers with a means of building their project on multiple platforms while writing only one build system configuration. The developer writes a set of CMakeLists.txt files that are read by CMake and used to generate a native build system for the current environment. On unix platforms, Makefiles are generated.

cmake is used to generate the makefiles for a project from its source. The first argument should specify a path to the source tree. The current directory will be used as the build tree for the project. Both in-source and out-of-source builds are supported, but out-of-source builds are preferred. CMake provides functionality for tailoring the build to user preferences through settings in the cmake cache. Options may be set interactively using the -i option (or ccmake). Once CMake has generated the makefiles in the build tree, one may use the standard make tool to build the project.

ccmake provides a curses interface front-end for cmake. The interface allows users to interactively configure the build options stored in the cmake cache. This is the preferred interface for interactive builds. Build scripts should use cmake directly.

ctest runs tests found in the project's build tree after it has been compiled and displays a summary of test results. Use the -R option to specify a regular expression of test names to match. cmaketest is provided to simplify project testing scripts. It allows a CMake project to be compiled and tested from a single command line.

OPTIONS

--help
    Available for cmake , ccmake and cmaketest.
    Show version number and summary of options.

-R regex
    Available for ctest.
    Run only tests matching the given regular expression.

-i  Available for cmake.
    Run cmake in an interactive wizard mode to configure the build.

SEE ALSO
Dart(1), VTK(1).

MAILING LIST
For help using cmake, a mailing list is provided at cmake@www.cmake.org. Please first read the full documentation at http://www.cmake.org before posting questions to the list.

AUTHOR
This manual page was written by CMake authors at Kitware <kitware@kitware.com>.